>From 1b0c3f4d601d42a05b8396f880ea554b377200b8 Mon Sep 17 00:00:00 2001
From: Arnaud <arnaud.champion@devatom.fr>
Date: Wed, 8 Dec 2010 07:28:02 +0100
Subject: [PATCH] Naming update in Node and StoragePool classes

---
 Node.cs        |    4 ++--
 StoragePool.cs |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/Node.cs b/Node.cs
index fb4c3af..fbe2bf5 100644
--- a/Node.cs
+++ b/Node.cs
@@ -112,7 +112,7 @@ namespace Libvirt
         /// The number of node devices found or -1 in case of error.
         /// </returns>
         [DllImport("libvirt-0.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "virNodeListDevices")]
-        public static extern int ListDevices(IntPtr conn, string cap, IntPtr names, int maxnames, uint flags);
+        private static extern int ListDevices(IntPtr conn, string cap, IntPtr names, int maxnames, uint flags);
         /// <summary>
         /// Collect the list of node devices, and store their names in @names.
         /// If the optional 'cap' argument is non-NULL, then the count will be restricted to devices with the specified capability.
@@ -135,7 +135,7 @@ namespace Libvirt
         /// <returns>
         /// The number of node devices found or -1 in case of error.
         /// </returns>
-        public static int virNodeListDevices(IntPtr conn, string cap, ref string[] names, int maxnames, uint flags)
+        public static int ListDevices(IntPtr conn, string cap, ref string[] names, int maxnames, uint flags)
         {
             IntPtr namesPtr = Marshal.AllocHGlobal(MaxStringLength);
             int count = ListDevices(conn, cap, namesPtr, maxnames, 0);
diff --git a/StoragePool.cs b/StoragePool.cs
index 504f9aa..bf46d9c 100644
--- a/StoragePool.cs
+++ b/StoragePool.cs
@@ -219,7 +219,7 @@ namespace Libvirt
         /// A <see cref="IntPtr"/>pointer to storage pool.
         /// </param>
         ///<returns>the storage pool UUID</returns>
-        public static string virStoragePoolGetUUIDString(IntPtr pool)
+        public static string GetUUIDString(IntPtr pool)
         {
             char[] uuidArray = new char[36];
             GetUUIDString(pool, uuidArray);
@@ -298,7 +298,7 @@ namespace Libvirt
         /// <returns>
         /// The number of names fetched, or -1 on error.
         /// </returns>
-        public static int virStoragePoolListVolumes(IntPtr pool, ref string[] names, int maxnames)
+        public static int ListVolumes(IntPtr pool, ref string[] names, int maxnames)
         {
             IntPtr namesPtr = Marshal.AllocHGlobal(MaxStringLength);
             int count = ListVolumes(pool, namesPtr, maxnames);
-- 
1.7.2.3.msysgit.0

